QrCode

Updates a QR-Code.

Update a QR-Code.

PATCH/api/qr-codes/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Path Parameters

id
stringrequired

QrCode identifier

Request Body

application/json
required

The updated QrCode resource

{
  "id": 12345,
  "identifier": "myqr",
  "text": "https://output.rocks",
  "margin": 4,
  "size": 150,
  "dark": "000000",
  "light": "FFFFFF",
  "ecLevel": "M",
  "centerImageUrl": "https://app.output.rocks/build/images/vertical-logo.png",
  "centerImageSizeRatio": 0.3,
  "caption": "My Caption",
  "captionFontFamily": "sans-serif",
  "captionFontSize": 10,
  "captionFontColor": "000000",
  "createdBy": "user1@company.com",
  "updatedBy": "user1@company.com",
  "createdAt": "2024-08-23T00:00:00+00:00",
  "updatedAt": "2024-08-23T00:00:00+00:00",
  "active": true,
  "activeFrom": "2024-01-01"
}

Response

200application/json

QrCode resource updated

id
integer

Id generated by Output.Rocks.

Example: 12345

identifier
stringrequired

Unique QR-Code Identifier

Example: "myqr"

text
string

QR data context. <<>> syntax is supported.

Example: "https://output.rocks"

margin
integer

Whitespace around QR image

Example: 4

size
integer

Width and height dimension of the image

Example: 150

dark
string

Hex color code of "dark" QR grid cells

Example: "000000"

light
string

Hex color code of "light" QR grid cells

Example: "FFFFFF"

ecLevel
enum<string>

Error correction level (L, M, Q, H)

Available options: LMQH

Example: "M"

centerImageUrl
string

Center image URL. Supports regular URLs or base64 data URIs.

Example: "https://app.output.rocks/build/images/vertical-logo.png"

centerImageSizeRatio
integer

How much space to take up, between 0.0 and 1.0

Example: 0.3

caption
string

Caption text to display below the QR code.

Example: "My Caption"

captionFontFamily
string

Font family of the caption text.

Example: "sans-serif"

captionFontSize
integer

Font size of the caption text in pixels.

Example: 10

captionFontColor
string

Color caption text, hex code.

Example: "000000"

templates
string | null[]
createdBy
string

User, created this entry

Example: "user1@company.com"

updatedBy
string

User, updated this entry

Example: "user1@company.com"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

client
object
subClient
object
brandIdentifier
stringrequired

Example: "default"

active
boolean

Active flag. Default: true

Available options: truefalse

Example: true

activeFrom
string<date-time>

Date to activate the entry. Default: today

Example: "2024-01-01"

versionGroup
string<uuid>

Immutable lineage key shared by all versions of this configuration entry.

versionNumber
integer

Monotonic version counter within the version group. Display/audit only, not part of resolution.

Example: 1

supersededAt
string<date-time>

Moment from which this version is superseded by a newer version of the same version group. Null while the version is (or is scheduled to become) the current one.

changeSummaryDe
string

AI generated German summary of the changes introduced by this version.

changeSummaryEn
string

AI generated English summary of the changes introduced by this version.

summaryStatus
enum<string>

Generation status of the AI change summary.

Available options: pendingdonefailed

subClientDefault
boolean

Default for environmental tenants (sub-clients)

Available options: truefalse

Example: false

subClientId
integer

SubClient ID. Provided on instances with enabled sub-client module only.

Example: 3

subClientDescription
string

SubClient description. Provided on instances with enabled sub-client module only.

Example: "Branch Office A"

subClientColor
string

SubClient display colour. Provided on instances with enabled sub-client module only.

Example: "#083E5D"